| Home | Libraries | People | FAQ | More

## Type definition minstd_rand0

minstd_rand0

## Synopsis

    // In header: <boost/random/linear_congruential.hpp>

    typedef linear_congruential_engine< uint32_t, 16807, 0, 2147483647 > minstd_rand0;

## Description

The specialization minstd_rand0 was originally suggested in

> A pseudo-random number generator for the System/360, P.A. Lewis, A.S. Goodman, J.M. Miller, IBM Systems Journal, Vol. 8, No. 2, 1969, pp. 136-146

It is examined more closely together with minstd_rand in

> "Random Number Generators: Good ones are hard to find", Stephen K. Park and Keith W. Miller, Communications of the ACM, Vol. 31, No. 10, October 1988, pp. 1192-1201